class InAppShow {
  ///
  static const String INAPP_SHOW = "INAPP_SHOW";
  /// String field name timesShowed
  static const String _TIMES_SHOWED = "timesShowed";

  /// String field name timesClicked
  static const String _TIMES_CLICKED = "timesClicked";

  /// String field name wasDismissed
  static const String _WAS_DISMISSED = "wasDismissed";


  /// timesShowed of inApp
  int? timesShowed;

  /// timesClicked of inApp
  int? timesClicked;

  /// wasDismissed of inApp
  bool? wasDismissed;

  /// Construcotr of InAppShow
  InAppShow(Map map) {
    if (map[_TIMES_SHOWED] != null) timesShowed = int.parse(map[_TIMES_SHOWED].toString());
    if (map[_TIMES_CLICKED] != null) timesClicked = int.parse(map[_TIMES_CLICKED].toString());
    if (map[_WAS_DISMISSED] != null) wasDismissed = map[_WAS_DISMISSED];
  }

  /// Conversion to Map
  Map toMap() {
    Map map = Map();
    if (timesShowed != null) map[_TIMES_SHOWED] = timesShowed;
    if (timesClicked != null) map[_TIMES_CLICKED] = timesClicked;
    if (wasDismissed != null) map[_WAS_DISMISSED] = wasDismissed;
    return map;
  }
}
